import Base from "../../Base";
import Collection from "../../Collection/Collection";

/**
 * Criterii de filtrare aplicate "permanent"
 */
class AxiosFetcherFilters extends Base {

    constructor() {

        super()
        
        this.filters = new Collection()
    }

    Add(where, values) 
    {
        this.filters.Push({where, values})
        return this
    }

    get filterConditions() {
        return this.filters.All()
    } 
}

export default AxiosFetcherFilters