import Control from "../../Control";

class Textbox extends Control {

    constructor(name) {
        super(name)

        this.type = 'text'

        this.label = 'My Label (' + this.name + ')'
        this.placeholder = 'My placeholder (' + this.name + ')'
    }

    SetPlaceholder(value) {
        this.placeholder = value
        return this
    }

    SetLabel(value) {
        this.label = value
        return this
    }

    SetType(value) {
        this.type = value
        return this
    }
}

export default Textbox