import BaseComponent from "../../BaseComponent";

class Modal extends BaseComponent {

    constructor(name) {
        super(name)

        this.visible = false

        this.caption = 'My caption (' + this.name + ')'
        this.icon = null

        this.actionButton = {
            icon: 'la la-plus',
            caption: 'Add'
        }

    }

    SetCaption(value) {
        this.caption = value
        return this
    }

    SetIcon(value) {
        this.icon = value
        return this
    }
}

export default Modal